### Signal

# Eog Image::next-frame

#### Declaration

    void
    next_frame (
      EogImage* self,
      gint delay,
      gpointer user_data
    )

#### Description [src]

The ::next-frame signal will be emitted each time an animated image advances to the next frame.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`delay`

  Type: `gint`

  Number of milliseconds the current frame will be displayed.